Hi everyone, I am out of the AutoCAD game now so I have no need for these books. The six books shown I am wanting to pass on to someone. I would prefer all go to one address and you will have to pay postage, which could be substantial. Send inquiries to richrdkent@gmail.com.
Look closely at the email address, there is no A in there.
(defun c:MoveXY (/ ss i e xnew ynew r e)
(vl-load-com)
(if (setq ss (ssget "_:L" '((0 . "INSERT") (66 . 1))))
(repeat (setq i (sslength ss))
(setq e (vlax-ename->vla-object (ssname ss (setq i (1- i)))))
(cond
(and
(setq xnew (assoc "X"
(mapcar
'(lambda (j) (list (vla-get-tagstring j) (distof (vla-get-textstring j))))
(vlax-invoke e 'Getattributes)
)
)
)
(setq ynew (assoc "Y"
(mapcar
'(lambda (j) (list (vla-get-tagstring j) (distof (vla-get-textstring j))))
(vlax-invoke e 'Getattributes)
)
)
)
(vla-put-insertionpoint e (vlax-3d-point (list (cadr xnew) (cadr ynew))))
)
)
)
)
(princ)
)
That should do it. You should just replace the two tagstrings "X" and "Y", since I don't know what your tags are for these two attributes.
Before we all jump in and frantically do code have you googled "rebar autocad table" I would expect its already been done, also "sum text to table" words like that. Also reobar.
PBE and Kent Cooper come to mind who may have answered this.